var srcFolder;
var files;
var fileType;
var isActiveDoc = true;

srcFolder = Folder.selectDialog( '画像フォルダを選択してください: ', '~' );
fileType = '*.jpg';
files = srcFolder.getFiles(fileType);

for (var i = 0; i < files.length; ++i) {

	var imageFile = new File(files[i].fsName);
	if ( imageFile != null ) {
		var doc = null;
		if ( app.documents.length > 0 ) {
			doc = app.activeDocument;
		} else {
			doc = app.documents.add(DocumentColorSpace.RGB, 800, 600);
			isActiveDoc = false;
		}
		
		var myPlacedItem = doc.placedItems.add();
		try {
			myPlacedItem.file = imageFile;
			var _x = (doc.width - myPlacedItem.width) * 0.5;
			var _y = (myPlacedItem.height - doc.height) * 0.5;
			
			if (!isActiveDoc) {
				var _y = myPlacedItem.height + (doc.height - myPlacedItem.height) * 0.5;
			}
			
			myPlacedItem.position = [_x, _y];
		} catch (e) {
		   alert( "選択した画像を配置することができませんでした。" );
		}
	}
}

alert('finish');